HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Echo API - Validate

Validate is a helpful method to make sure the data you are inputting is in a valid and recognized format. This helps a lot with dates and times. Integers and arrays can also be validated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Validate a date-time, integer, or array value with Echo before using it in a resource API request.

Use this endpoint to confirm that an input value is in a recognized format. To test credentials or simulated errors instead, see Testing & Debugging Overview.

Only one value can be validated at a time. If multiple validation parameters are sent, the first one is validated.

Resource URI

GET /rest/echo/validate

Query parameters

ParameterTypeDescription
dateTimeStringValidates an ISO 8601 date or date-time value. Optional.
integerIntegerValidates that the value is recognized as an integer. Optional.
arrayArrayValidates that the value is in a recognized array format. Optional.

Example

GET /rest/echo/validate?dateTime=2011-10-26T12:00:00.0-0400

A successful response confirms that the submitted value is valid.

{
  "status": "success",
  "count": 1,
  "type": null,
  "results": []
}

For the full set of Echo testing endpoints, see Testing & Debugging Overview.

Path Params
string
required

Validates the passed in string to the ISO 8601 format (e.g. the date and time you want to validate). See the example below for a valid format.

int32
required

Validates the passed in integer to validate it is recognized as an integer.

array
array of strings
required

Validates the passed in array to validate it is in a recognized format.

array*
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json